
	function touClass(){
		// 公有方法
		this.touch = function(fn1,fn2){
			this.addEventListener('touchstart',function(event){
				var touch = event.targetTouches[0];
				// 开始坐标
				this.startx = touch.pageX;
				this.starty = touch.pageY;
				this.endx = 0;//防止重复计算
			})
			this.addEventListener('touchmove',function(event){
				var touch = event.targetTouches[0];
				// 结束坐标
				this.endx = touch.pageX;
				this.endy = touch.pageY;
				var x = this.endx - this.startx;
				var y = this.endy - this.starty;
				var w = x<0?x*-1:x; //x轴的滑动值, w为x的绝对值
				var h = y<0?y*-1:y; //y轴的滑动值
				if(w>h){            //如果是在x轴中滑动,阻止默认事件
				   event.preventDefault(); // 解决微信touchmove冲突并实现上下可滑动
				}
			})
			this.addEventListener('touchend',function(event){
				var boundary = window.innerWidth/3;
				if((this.startx - this.endx)>=boundary && fn1){
//					console.log(boundary);
					// 执行左滑回调
					fn1();
				}
				if((this.endx - this.startx)>=boundary && fn2){
//					console.log((this.endx - this.startx));
//					console.log(boundary);
					// 执行右滑回调
					fn2();
				}
			})
		}
	}

// 调用方法
// touClass.call(obj);

// function left(){
// 	alert('左滑');
// }

// function right(){
// 	alert('右滑');
// }
//回调函数
// obj.touch(left,right);
// obj.touch(left);
// obj.touch('',right);















	// // 给方法
	// touClass.call(obj);

	// function huidiaoright(){
	// 	alert('右滑');
	// }
	// function huidiaoleft(){
	// 	alert('左滑');
	// }
	// // 执行方法
	// obj.touRight(huidiaoright);
	// obj.touLeft(huidiaoleft);